import request from "@/utils/request";

// 查询订单列表
export function getList(params) {
  return request({
    url: "/order/info/list",
    method:'get',
    params
  });
}

// 订单退款
export function refundOrder(params) {
  return request({
    url: "order/info/refund/" + params.outTradeNo,
    method: "put",
    params: {
      reason: params.reason

    }
  });
}
//发起分账
export function shareProfitOrder(params) {
  return request({
    url: "order/info/shareProfit/" + params.outTradeNo,
    method: "put",
  });
}
//查询分账记录列表
export function getSplitList(params) {
  return request({
    url: "order/split/list",
    params,
    method: "get",
  });
}


